Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad
Class Variables

    java.lang.Object
      com.bea.p13n.ad.Variables

public class Variables
extends Object

Utility class to handle replacing ${varname} style variables in Strings.

Since:
  3.2
See Also:
  `VariableFinder`

Constructor Summary
`Variables()`

Method Summary
`static VariableFinder` | `createAppNameVariableFinder()`
`static String` | `fixAppName(String in)` Replaces all ${APPNAME}s in the input string with the current application name, if there is one.
`static String` | `varSubstitute(String inStr, VariableFinder vars)` Perform variable substitution (${varname}) on the specified string using the given variable name to value map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Variables

    public Variables()

Method Detail

### varSubstitute

    public static String varSubstitute(String inStr,
                                       VariableFinder vars)

  Perform variable substitution (${varname}) on the specified string using the given variable name to value map.

  This does not handle any kind of escape sequences (e.g. "\${varname}" would still be replaced).

  Parameters:
    `inStr` - the input string.
    `vars` - the map of variable names to values.
  Returns:
    the new string.

### createAppNameVariableFinder

    public static VariableFinder createAppNameVariableFinder()

### fixAppName

    public static String fixAppName(String in)

  Replaces all ${APPNAME}s in the input string with the current application name, if there is one.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved